"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("./utils");
const types_1 = require("./types");
const paaExceptions = [
    'agder',
    'akkerhaugen',
    'alstahaug',
    'askim',
    'asorene',
    'bagn',
    'bahamas',
    'bali',
    'barbados',
    'bardufoss',
    'berkåk',
    'bermuda',
    'billingstad',
    'biri',
    'bjørkelangen',
    'blindern',
    'bokn',
    'borneo',
    'bornholm',
    'bryne',
    'byrkjelo',
    'bømlo',
    'cuba',
    'dodekanesene',
    'dokka',
    'dombås',
    'dominica',
    'dovre',
    'dønna',
    'eidsvoll',
    'eina',
    'elverum',
    'evje',
    'falster',
    'fannrem',
    'fauske',
    'fedje',
    'figgjo',
    'fiji',
    'filippinene',
    'finse',
    'fitjar',
    'flesland',
    'flisa',
    'fokstua',
    'fosen',
    'frans josefs land',
    'frosta',
    'frøya',
    'fuerteventura',
    'furuset',
    'fyn',
    'geilo',
    'giske',
    'gjøvik',
    'gol',
    'gotland',
    'gran',
    'gran canaria',
    'grenada',
    'greåker',
    'grip',
    'grua',
    'grue finnskog',
    'grønland',
    'gvarv',
    'hadeland',
    'halsa',
    'hamar',
    'haram',
    'hareid',
    'hawaii',
    'hebridene',
    'hedmarken',
    'helgeland',
    'hermansverk',
    'hinna',
    'hitra',
    'hovden',
    'hvaler',
    'hønefoss',
    'island',
    'jamaica',
    'java',
    'jeløya',
    'jersey',
    'jessheim',
    'jevnaker',
    'jylland',
    'jæren',
    'jørpeland',
    'kapp verde',
    'kios',
    'kløfta',
    'kolbotn',
    'kongsvinger',
    'koppang',
    'korsika',
    'kos',
    'kreta',
    'kvikne',
    'kykladene',
    'kyrksæterøra',
    'kypros',
    'kårstø',
    'lade',
    'laksevåg',
    'langeland',
    'lanzarote',
    'leira',
    'lena',
    'lesja',
    'levanger',
    'lillehammer',
    'lindås',
    'lisleby',
    'lista',
    'lolland',
    'lunner',
    'lyngør',
    'lørenskog',
    'madagaskar',
    'madeira',
    'madla',
    'majorstua',
    'maldivene',
    'mallorca',
    'malta',
    'mauritius',
    'melhus',
    'meråker',
    'minnesund',
    'mo',
    'mo i rana',
    'modum',
    'moi',
    'molde',
    'momarken',
    'mongstad',
    'moster',
    'mysen',
    'møhlenpris',
    'møre',
    'namdalseid',
    'nesbyen',
    'nesna',
    'nesodden',
    'newfoundland',
    'new-zealand',
    'nordfjordeid',
    'nordkapp',
    'nordmøre',
    'novaja semlja',
    'notodden',
    'ny-caledonia',
    'ny-guinea',
    'ny-zealand',
    'nærbø',
    'oppdal',
    'oppegård',
    'orkanger',
    'os',
    'otta',
    'puerto rico',
    'raufoss',
    'rauland',
    'rena',
    'réunion',
    'rhodos',
    'ringebu',
    'ringerike',
    'ringsaker',
    'rjukan',
    'roa',
    'rodos',
    'rognan',
    'romerike',
    'runde',
    'rygge',
    'røros',
    'røst',
    'saltholm',
    'samoa',
    'sandane',
    'sardinia',
    'sel',
    'selje',
    'senja',
    'seychellene',
    'shetland',
    'sjælland',
    'ski',
    'skjetten',
    'slemmestad',
    'smøla',
    'snåsa',
    'sokna',
    'sola',
    'sollihøgda',
    'sortland',
    'sotra',
    'spikkestad',
    'spitsbergen',
    'sri lanka',
    'stabekk',
    'stad',
    'stange',
    'steinkjer',
    'stord',
    'storhaug',
    'stovner',
    'stranda',
    'strømmen',
    'støren',
    'sula',
    'sumatra',
    'sunndalsøra',
    'sunnmøre',
    'svalbard',
    'sætre',
    'tahiti',
    'taiwan',
    'tasmania',
    'tenerife',
    'time',
    'tingvoll',
    'tjøme',
    'tofte',
    'tolga',
    'tonga',
    'toten',
    'tranby',
    'tretten',
    'trinidad',
    'træna',
    'tune',
    'tveito',
    'tynset',
    'ulefoss',
    'ustaoset',
    'utsira',
    'utstein',
    'varhaug',
    'vega',
    'vennesla',
    'vestfossen',
    'vest-samoa',
    'vigra',
    'vigrestad',
    'vikna',
    'vinstra',
    'voss',
    'våland',
    'öland',
    'ørje',
    'ørlandet',
    'øst-timor',
    'ål',
    'åland',
    'ålgård',
    'åmot',
    'årdalstangen',
    'ås',
];
const iExceptions = [
    'brunlanes',
    'kirkenes',
    'måløy',
    'onsøy',
    'sandnes',
    'tønsberg',
];
const exceptions = {
    ...(0, utils_1.arrayToObject)(paaExceptions, types_1.Preposition.PÅ),
    ...(0, utils_1.arrayToObject)(iExceptions, types_1.Preposition.I),
};
exports.default = exceptions;
